---
title: FetchEvent.clientId
slug: Web/API/FetchEvent/clientId
tags:
  - API
  - Experimental
  - FetchEvent
  - Property
  - Reference
  - Service Workers
  - clientId
---
<p>{{APIRef("Service Workers API")}}</p>

<p>The <code><strong>clientId</strong></code> read-only property of the {{domxref("FetchEvent")}} interface returns the id of the {{domxref("Client")}} that the current service worker is controlling.</p>

<p>The {{domxref("Clients.get()")}} method could then be passed this ID to retrieve the associated client.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>myClientId</em> = <em>fetchEvent</em>.clientId;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} that represents the client ID.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">self.addEventListener('fetch', function(event) {
  console.log(event.clientId);
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Service Workers', '#dom-fetchevent-clientid', 'clientId')}}</td>
   <td>{{Spec2('Service Workers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.FetchEvent.clientId")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Service_Worker_API/Using_Service_Workers">Using Service Workers</a></li>
 <li><a class="external external-icon" href="https://github.com/mdn/sw-test">Service workers basic code example</a></li>
 <li><a class="external external-icon" href="https://jakearchibald.github.io/isserviceworkerready/">Is ServiceWorker ready?</a></li>
 <li>{{jsxref("Promise")}}</li>
 <li><a href="/en-US/docs/Web/API/Web_Workers_API/Using_web_workers">Using web workers</a></li>
</ul>
